=== debian/changelog ===
ros-melodic-rosaic (1.0.5-1stretch) stretch; urgency=high

  * Merge pull request #21 <https://github.com/septentrio-gnss/rosaic/issues/21> from septentrio-gnss/local_tibor
    Added rosdoc.yaml file
  * Merge pull request #20 <https://github.com/septentrio-gnss/rosaic/issues/20> from septentrio-gnss/local_tibor
    Improved doxygen annotations
  * Merge pull request #19 <https://github.com/septentrio-gnss/rosaic/issues/19> from septentrio-gnss/local_tibor
    Improved doxygen annotations
  * Update README.md
  * Merge pull request #18 <https://github.com/septentrio-gnss/rosaic/issues/18> from septentrio-gnss/local_tibor
    Adopted ROS and C++ conventions, added ROS diagnostics msg,
  * Update README.md
  * Update README.md
  * Update README.md
  * Contributors: septentrio-users

 -- Septentrio <githubuser@septentrio.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-melodic-rosaic (1.0.4-1stretch) stretch; urgency=high

  * Added rosdoc.yaml file
  * Improved doxygen annotations
  * Improved doxygen annotations
  * Adopted ROS and C++ conventions, added ROS diagnostics msg, removed ROS garbage value bug, added auto-detection of SBF arrival order for composite ROS msgs
  * Merge branch 'master' of https://github.com/septentrio-gnss/rosaic
  * NTRIP with Datalink, circular buffer, reading connection descriptor, new messages
  * Update README.md
  * Contributors: septentrio-users, tibordome

 -- Septentrio <githubuser@septentrio.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-melodic-rosaic (1.0.3-1stretch) stretch; urgency=high

  * Add new config/rover.yaml file
  * Add config/rover.yaml to .gitignore
  * Merge pull request #17 <https://github.com/septentrio-gnss/rosaic/issues/17> from septentrio-gnss/local_tibor
    NTRIP with Datalink, circular buffer, reading connection descriptor..
  * Merge branch 'local_tibor'
  * NTRIP with Datalink, circular buffer, reading connection descriptor, new messages
  * Update README.md
  * Update README.md
  * Update README.md
  * Merge pull request #16 <https://github.com/septentrio-gnss/rosaic/issues/16> from septentrio-gnss/local_tibor
    NTRIP parameters added, reconnect_delay_s implemented,
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Merge pull request #15 <https://github.com/septentrio-gnss/rosaic/issues/15> from tibordome/local_tibor
    GPSFix completed, datum as new parameter
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Merge pull request #14 <https://github.com/septentrio-gnss/rosaic/issues/14> from tibordome/local_tibor
    GPSFix completed, datum as new parameter
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Merge pull request #13 <https://github.com/septentrio-gnss/rosaic/issues/13> from tibordome/local_tibor
    Added AttCovEuler.msg and AttEuler.msg
  * Merge pull request #12 <https://github.com/septentrio-gnss/rosaic/issues/12> from tibordome/local_tibor
    Fixed service field of NavSatStatus
  * Contributors: Tibor Dome, septentrio-users, tibordome

 -- Septentrio <githubuser@septentrio.com>  Tue, 29 Sep 2020 23:00:00 -0000

ros-melodic-rosaic (1.0.2-1stretch) stretch; urgency=high

  * NTRIP parameters added, reconnect_delay_s implemented, package.xml updated, ROSaic now detects connection descriptor automatically, mosaic serial port parameter added
  * GPSFix completed, datum as new parameter, ANT type and marker-to-arp distances as new parameters, BlockLength() method corrected, sending multiple commands to Rx corrected by means of mutex
  * Contributors: tibordome

 -- Septentrio <githubuser@septentrio.com>  Thu, 24 Sep 2020 23:00:00 -0000

ros-melodic-rosaic (1.0.1-1stretch) stretch; urgency=high

  * GPSFix completed, datum as new parameter, ANT type and marker-to-arp distances as new parameters, BlockLength() method corrected, sending multiple commands to Rx corrected by means of mutex
  * Added AttCovEuler.msg and AttEuler.msg
  * Fixed service field of NavSatStatus, fixed ROS header's seq field of each published ROS message, added write method for sending commands to Rx, successfully tested, added AttEuler, added AttCovEuler
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Merge pull request #11 <https://github.com/septentrio-gnss/rosaic/issues/11> from tibordome/local_tibor
    rosconsole_backend_interface dependency not needed
  * rosconsole_backend_interface dependency not needed
  * Merge pull request #10 <https://github.com/septentrio-gnss/rosaic/issues/10> from tibordome/local_tibor
    rosconsole_log4cxx dep not needed
  * rosconsole_log4cxx dep not needed
  * Merge pull request #9 <https://github.com/septentrio-gnss/rosaic/issues/9> from tibordome/local_tibor
    rosconsole_log4cxx dep not needed
  * rosconsole_log4cxx dep not needed
  * Merge pull request #8 <https://github.com/septentrio-gnss/rosaic/issues/8> from tibordome/local_tibor
    Local tibor
  * Update README.md
  * Merge pull request #7 <https://github.com/septentrio-gnss/rosaic/issues/7> from tibordome/local_tibor
    Ready for First Release
  * Update README.md
  * Update README.md
  * Update README.md
  * Merge pull request #6 <https://github.com/septentrio-gnss/rosaic/issues/6> from tibordome/local_tibor
    Local tibor
  * Merge pull request #5 <https://github.com/septentrio-gnss/rosaic/issues/5> from tibordome/local_tibor
    TCP seems to work
  * Contributors: Tibor Dome, tibordome

 -- Septentrio <githubuser@septentrio.com>  Mon, 21 Sep 2020 23:00:00 -0000


