=== debian/control ===
Source: ros-melodic-rosaic
Section: misc
Priority: optional
Maintainer: Septentrio <githubuser@septentrio.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin, ros-melodic-cpp-common, ros-melodic-diagnostic-msgs, ros-melodic-geometry-msgs, ros-melodic-gps-common, ros-melodic-message-generation, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-roscpp-serialization, ros-melodic-rostime, ros-melodic-sensor-msgs, ros-melodic-xmlrpcpp
Homepage: https://github.com/septentrio-gnss/rosaic
Standards-Version: 3.9.2

Package: ros-melodic-rosaic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-cpp-common, ros-melodic-diagnostic-msgs, ros-melodic-geometry-msgs, ros-melodic-gps-common, ros-melodic-message-runtime, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-roscpp-serialization, ros-melodic-rostime, ros-melodic-sensor-msgs, ros-melodic-xmlrpcpp
Description: ROSaic: C++ Driver for Septentrio's mosaic Receivers and Beyond
